#include <iostream>


using namespace std;

int main() {
    
    int n, visina; cin >> n >> visina;
    for (int i = 0; i < n; i++) {
        int a; cin >> a;
        if (a > visina) {
            cout << i + 1;
            return 0;
        }
    }
        
    cout << -1;

}